ch.qos.logback.classic.net

## Class JMSQueueSink

- java.lang.Object
- - ch.qos.logback.classic.net.JMSQueueSink

All Implemented Interfaces:
  javax.jms.MessageListener

    public class JMSQueueSink
    extends java.lang.Object
    implements javax.jms.MessageListener

A simple application that consumes logging events sent by a `JMSQueueAppender`.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`JMSQueueSink(java.lang.String qcfBindingName, java.lang.String queueBindingName, java.lang.String username, java.lang.String password)`

### Method Summary

Methods
`protected java.lang.Object` `lookup(javax.naming.Context ctx, java.lang.String name)`
`static void` `main(java.lang.String[] args)`
`void` `onMessage(javax.jms.Message message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JMSQueueSink

    public JMSQueueSink(java.lang.String qcfBindingName,
                java.lang.String queueBindingName,
                java.lang.String username,
                java.lang.String password)

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### onMessage

    public void onMessage(javax.jms.Message message)

Specified by:
  `onMessage` in interface `javax.jms.MessageListener`

#### lookup

    protected java.lang.Object lookup(javax.naming.Context ctx,
                          java.lang.String name)
                               throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`